/*******************************************************************************************************************************
Program: 				Master.do
Purpose: 				Sets global settings and runs cleaning and analysis files

Author: 				Eugene Lee, Anthony Leegwater
*******************************************************************************************************************************/

clear
* other settings 
set varabbrev off

*global for outputted clean datasets and tables (for indicators)

global cleaning_progs "S:\projects\BP-LASER_PULSE_BHA_RFSA_IN_MAD\DHS data\USAID Programs (Cleaned)\1.Cleaning Do Files"

global clean "S:\projects\BP-LASER_PULSE_BHA_RFSA_IN_MAD\DHS data\USAID Programs (Cleaned)\2.Clean Datasets"

*Analysis program folder
global analysis_progs "S:\projects\BP-LASER_PULSE_BHA_RFSA_IN_MAD\DHS data\USAID Programs (Cleaned)\3.Analysis Do Files"

global output "S:\projects\BP-LASER_PULSE_BHA_RFSA_IN_MAD\DHS data\USAID Programs (Cleaned)\4.Results Output"



*run main cleaning programs
do "${cleaning_progs}\HR DATA Cleaning.do"
do "${cleaning_progs}\PR DATA Cleaning.do"
do "${cleaning_progs}\KR DATA Cleaning.do"
do "${cleaning_progs}\MR DATA Cleaning.do"
do "${cleaning_progs}\IR DATA Cleaning.do"
do "${cleaning_progs}\Child_Analysis_Merged_Data.do"

*must install this package for the analysis files
findit matselrc
findit outreg2

*Run all main analysis do files relevant for Q1 and Q3
do "${analysis_progs}\Household Analysis.do"
do "${analysis_progs}\Child Diet Analysis.do"
do "${analysis_progs}\Child Stunting Analysis.do"
do "${analysis_progs}\RQ3.do"

